Skip to content
View as Markdown

PUT Update Template​

PUT
/templates/{id}

Update an existing email template. The template data should be passed as a nested template object. If a custom footer is enabled, it must include ##crm.manage_subscription_url## or ##crm.unsubscribe_url## for compliance.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The template ID to update.

Type
integer
Required

Request Body​

application/json
JSON
{
"template": {
"post_title": "string",
"post_content": "string",
"post_excerpt": "string",
"email_subject": "string",
"edit_type": "string",
"design_template": "string",
"settings": {
"template_config": {
"content_padding": 0,
"additionalProperties": "string"
},
"footer_settings": {
"custom_footer": "string",
"footer_content": "string"
}
}
}
}

Responses​

Template updated successfully.

application/json
JSON
{
"message": "string",
"template_id": 0
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI